<template name="tenantSettings">
	<div class="details-form-element">
		<h3>
			<span class="fa-solid fa-users fa-fw" aria-hidden="true"></span>
			{{i18n 'tenant.settings.title.Members' 'Members'}} ({{members.length}})
		</h3>
		<div class="icon-text-icon">
			<div class="icon-text-text">
				{{i18n 'tenant.settings.members.description' 'Members can see and use the above regions in the organisation {TENANT}.' TENANT=tenantName}}
			</div>
		</div>
		<br />
		<div class="tag-group multiline">
			{{#each members}}
				<div class="tag tag-btn tenant-member-tag-btn-remove">
					<button class="js-member-remove-btn"
							title="{{i18n 'tenant.settings.removeFromTenant' 'remove member' attr=true}}"
							type="button">
						<i class="fa-solid fa-xmark fa-fw" aria-hidden="true"></i>
						{{username this}}
					</button>
				</div>
				<div class="tag tag-link tenant-member-tag-profile addon">
					<a href="{{pathFor 'userprofile' _id=this}}"
					   title="{{i18n 'tenant.settings.member.profile' 'Visit profile' attr=true}}">
						<i class="fa-solid fa-user fa-fw" aria-hidden="true"></i>
					</a>
				</div>
			{{/each}}
		</div>
		<div class="mb-3">
			<label
				   class="form-label">{{i18n 'tenant.settings.field.addMembers' 'Add existing {SITENAME} members to your "{TENANTNAME}" organization.' SITENAME=siteName TENANTNAME=tenantName}}</label>
			<div class="input-group">
				<span class="input-group-text">
					<span class="fa-solid fa-user fa-fw" aria-hidden="true"></span>
				</span>
				<input class="js-search-members form-control" id="AddTenantMember"
					   placeholder="{{i18n 'tenant.settings.field.addMember.placeholder' 'Type name of buddy' attr=true}}"
					   size="40" type="text" />
			</div>
		</div>
		<div class="tag-group multiline">
			{{#each foundMembers}}
				<div class="tag tag-btn tenant-member-tag-btn-add">
					<button class="js-member-add-btn"
							title="{{i18n 'tenant.settings.addMember' 'add as member' attr=true}}"
							type="button">
						<i class="fa-solid fa-plus fa-fw" aria-hidden="true"></i>
						{{username this._id}}
					</button>
				</div>
				<div class="tag tag-link tenant-member-tag-profile addon">
					<a href="{{pathFor 'userprofile' _id=this._id}}"
					   title="{{i18n 'tenant.settings.member.profile' attr=true}}">
						<i class="fa-solid fa-user fa-fw" aria-hidden="true"></i>
					</a>
				</div>
			{{/each}}
		</div>
		<hr />
		{{> invitations tenant=tenant}}
	</div>
	<div class="details-form-element">
		<h3>
			<span class="fa-solid fa-users fa-fw" aria-hidden="true"></span>
			{{i18n 'tenant.settings.title.admin' 'Admins'}} ({{tenant.admins.length}})
		</h3>
		<div class="icon-text-text">
			{{i18n 'tenant.settings.admin.description' 'Admins are empowered to see and manage this panel here, like you.'}}
		</div>
		<br />
		<div class="tag-group multiline">
			{{#each tenant.admins}}
				<div class="tag tag-btn tenant-admin-tag-btn-remove">
					<button class="js-admin-remove-btn"
							title="{{i18n 'tenant.settings.removeAdminFromTenant' 'remove admin' attr=true}}"
							type="button">
						<i class="fa-solid fa-xmark fa-fw" aria-hidden="true"></i>
						{{username this}}
					</button>
				</div>
				<div class="tag tag-link tenant-admin-tag-profile addon">
					<a href="{{pathFor 'userprofile' _id=this}}"
					   title="{{i18n 'tenant.settings.admin.profile' 'Visit profile' attr=true}}">
						<i class="fa-solid fa-user fa-fw" aria-hidden="true"></i>
					</a>
				</div>
			{{/each}}
		</div>
		<div class="mb-3">
			<label
				   class="form-label">{{i18n 'tenant.settings.field.addAdmins' 'Add an existing {SITENAME} user as a new admin to your "{TENANTNAME}" organization.' SITENAME=siteName TENANTNAME=tenantName}}</label>
			<div class="input-group">
				<span class="input-group-text">
					<span class="fa-solid fa-user fa-fw" aria-hidden="true"></span>
				</span>
				<input class="js-search-admins form-control" id="AddTenantAdmin"
					   placeholder="{{i18n 'tenant.settings.field.addAdmin.placeholder' 'Type name of buddy' attr=true}}"
					   size="40" type="text" />
			</div>
		</div>
		<div class="tag-group multiline">
			{{#each foundAdmins}}
				<div class="tag tag-btn tenant-admin-tag-btn-add">
					<button class="js-admin-add-btn"
							title="{{i18n 'tenant.settings.addAdmin' 'add as admin' attr=true}}"
							type="button">
						<i class="fa-solid fa-plus fa-fw" aria-hidden="true"></i>
						{{username this._id}}
					</button>
				</div>
				<div class="tag tag-link tenant-admin-tag-profile addon">
					<a href="{{pathFor 'userprofile' _id=this._id}}"
					   title="{{i18n 'tenant.settings.admin.profile' attr=true}}">
						<i class="fa-solid fa-user fa-fw" aria-hidden="true"></i>
					</a>
				</div>
			{{/each}}
		</div>
	</div>
</template>
